package main

import (
	"drive-linked/config"
	"drive-linked/pkg/dao"
	"drive-linked/router"
	"github.com/kataras/golog"
	"github.com/kataras/iris/v12"
)

func init() {
	golog.SetLevel("debug")
}

func main() {
	// 加载配置
	config.SetupConfig()

	// 初始化数据库
	err := dao.Conn()
	if err != nil {
		golog.Fatal("数据库初始化失败: ", err)
	}

	// 启动服务
	app := router.Router()
	app.Run(iris.Addr(":8080"))
}
